JobHunt/Controllers/CandidateController.cs
using JobHunt.BU.ConvertData;
using JobHunt.BU.DTO;
using JobHunt.BU.Manage;
using JobHunt.Model.DAO;
using Microsoft.AspNet.Identity;
using Microsoft.AspNet.Identity.Owin;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Net;
using System.Threading.Tasks;
using System.Web;
using System.Web.Mvc;
using Rotativa;
using JobHunt.Model.EF;

namespace JobHunt.Controllers
{
    public class CandidateController : Controller
    {

        ProfessionManage ProfessionManage = new ProfessionManage();
        CityManage cityManage = new CityManage();
        ConvertDataCandidate convertData = new ConvertDataCandidate();
        CandidateManage candidateManage = new CandidateManage();
        RecruitJobManage recruitjobManage = new RecruitJobManage();
        RecruitManage recruitManage = new RecruitManage();
        CandidatePostResumeManage cddPostResumeManage = new CandidatePostResumeManage();

        private ApplicationUserManager _userManager;
        private ApplicationSignInManager _signInManager;
        public ApplicationUserManager UserManager
        {
            get
            {
                return _userManager ?? HttpContext.GetOwinContext().GetUserManager<ApplicationUserManager>();
            }
            private set
            {
                _userManager = value;
            }
        }
        public ApplicationSignInManager SignInManager
        {
            get
            {
                return _signInManager ?? HttpContext.GetOwinContext().Get<ApplicationSignInManager>();
            }
            private set
            {
                _signInManager = value;
            }
        }

        [Authorize(Roles = "Người tìm việc")]
        // GET: Candidate
        public ActionResult CandidateProfile()
        {
            //Lấy ra danh sách tất cả danh mục công việc
            ViewBag.ListProfesstions = new SelectList(ProfessionManage.GetAllProfessions(), "ProfessionId", "PFName");

            //Lấy danh sách tỉnh
            ViewBag.ListCities = new SelectList(cityManage.GetAllCities(), "CityId", "CName");

            //Lấy danh sách trình độ
            ViewBag.ListLevels = new SelectList(new LevelManage().GetAllLevels(), "LevelInfoId", "LIName");

            //Lấy danh sách kinh nghiệm
            ViewBag.ListExperiences = new SelectList(new ExperienceManage().GetAllExperiences(), "ExperienceId", "EShow");

            //Lấy danh sách kinh Lương
            ViewBag.ListSalaries = new SelectList(new SalaryMange().GetAllSalaries(), "SalaryId", "SShow");

            //Lấy danh sách hình thức làm việc
            ViewBag.ListWorkTypes = new SelectList(new WorkTypeManage().GetAllWorkTypes(), "WorkTypeId", "WTName");

            var InfoCandidate = new CandidateManage().GetCandidateInfoByIdAspNetUser(User.Identity.GetUserId());

            return View(InfoCandidate);
        }


        [Authorize(Roles = "Người tìm việc")]
        //Update profile candidate
        public JsonResult UpdateProfile(CandidateDTO candidateDTO)
        {
            var messageUpdate = "";
            var statusUpdate = "success";
            var updateProfile = candidateManage.UpdateProfileCandidate(candidateDTO);
            if (updateProfile)
                messageUpdate = "Cập nhật thông tin " + candidateDTO.CddFullName + " thành công!";
            else
            {
                statusUpdate = "error";
                messageUpdate = "Cập nhật thông tin " + candidateDTO.CddFullName + " không thành công!";
            }
            return Json(new { message = messageUpdate, status = statusUpdate }, JsonRequestBehavior.AllowGet);
        }


        [Authorize(Roles = "Người tìm việc")]
        public JsonResult UpdateSocialAndContact(CandidateDTO candidateDTO)
        {
            var messageUpdate = "";
            var statusUpdate = "success";
            var updateSAC = candidateManage.UpdateSocialAndContact(candidateDTO);
            if (updateSAC)
                messageUpdate = "Cập nhật thông tin liên hệ " + candidateDTO.CddFullName + " thành công!";
            else
            {
                statusUpdate = "error";
                messageUpdate = "Cập nhật thông tin liên hệ  " + candidateDTO.CddFullName + " không thành công!";
            }
            return Json(new { message = messageUpdate, status = statusUpdate }, JsonRequestBehavior.AllowGet);
        }


        [Authorize(Roles = "Người tìm việc")]
        public ActionResult CandidateUploadCV()
        {
            var InfoCandidate = new CandidateManage().GetCandidateInfoByIdAspNetUser(User.Identity.GetUserId());

            return View(InfoCandidate);
        }


        public JsonResult UploadCV(HttpPostedFileBase file, string Describe)
        {
            var messageUpdate = "";
            var statusUpdate = "success";
            var path = "";
            var InfoCandidate = new CandidateManage().GetCandidateInfoByIdAspNetUser(User.Identity.GetUserId());
            if (file != null)
                path = UploadFile(file);
            else
                path = InfoCandidate.CddPathCV;

            var candidatedto = new CandidateDTO()
            {
                CddPathCV = path,
                CddDescribeCV = Describe,
                Cdd_AspNetUserId = User.Identity.GetUserId()
            };

            var uploadcv = new CandidateManage().UpdateCV(candidatedto);
            if (uploadcv)
                messageUpdate = "Tải cv lên thành công!";
            else
            {
                messageUpdate = "Đã xảy ra lỗi khi tải lên!";
                statusUpdate = "error";
            }

            return Json(new { message = messageUpdate, status = statusUpdate }, JsonRequestBehavior.AllowGet);
        }



        public string UploadFile(HttpPostedFileBase file)
        {
            var hashDateTimeNow = DateTime.Now.ToString("yyyyMMddHHmmss");
            var NameUser = User.Identity.Name;
            string targetpath = Server.MapPath("~/Assets/client/upload/cv");
            string getFilePath = Server.MapPath("~/Assets/");
            string FileNameWithoutExtension = file.FileName.Split('.')[0];
            string Extension = Path.GetExtension(file.FileName);
            DirectoryInfo di = Directory.CreateDirectory(targetpath + "/" + NameUser);
            file.SaveAs(targetpath + "/" + NameUser + "/" + FileNameWithoutExtension + hashDateTimeNow + Extension);
            string path = "/Assets/client/upload/cv/" + NameUser + "/" + FileNameWithoutExtension + hashDateTimeNow + Extension;
            return path;
        }

        [Authorize(Roles = "Người tìm việc")]
        public ActionResult ChangePassword()
        {
            var InfoCandidate = new CandidateManage().GetCandidateInfoByIdAspNetUser(User.Identity.GetUserId());
            return View(InfoCandidate);
        }

        [Authorize(Roles = "Người tìm việc")]
        public async Task<ActionResult> ChangePasswordCdd(string OddPass, string NewPass, string ConfirmPass)
        {
            var status = "success";
            var message = "";
            if (!NewPass.Equals(ConfirmPass))
            {
                status = "error";
                message = "Xác nhận mật khẩu không đúng";
            }
            else
            {
                var result = await UserManager.ChangePasswordAsync(User.Identity.GetUserId(), OddPass, NewPass);
                if (result.Succeeded)
                {
                    var user = await UserManager.FindByIdAsync(User.Identity.GetUserId());
                    if (user != null)
                    {
                        await SignInManager.SignInAsync(user, isPersistent: false, rememberBrowser: false);
                    }
                    message = "Thay đổi mật khẩu thành công";
                }
                else
                {
                    status = "error";
                    foreach (var e in result.Errors)
                    {
                        message += e.ToString();
                    }
                }
            }
            return Json(new { status = status, message = message }, JsonRequestBehavior.AllowGet);

        }

        [Authorize(Roles = "Người tìm việc")]
        public ActionResult UpdateAccount()
        {
            var InfoCandidate = new CandidateManage().GetCandidateInfoByIdAspNetUser(User.Identity.GetUserId());

            return View(InfoCandidate);
        }


        [Authorize(Roles = "Người tìm việc")]
        public ActionResult AppliedJobs(int page = 1, int pageSize = 5)
        {
            var UserID = User.Identity.GetUserId();
            var idCandidate = candidateManage.GetCandidateInfoByIdAspNetUser(UserID).CandidateId;
            var model = cddPostResumeManage.GetListCandidatePostResumeHaveSearchAndPaging(idCandidate, page, pageSize);
            return View(model);
        }


        [Authorize(Roles = "Người tìm việc")]
        public ActionResult SaveJobs(int page = 1, int pageSize = 5)
        {
            var UserID = User.Identity.GetUserId();
            var model = candidateManage.GetListSaveJobs(UserID, page, pageSize);
            return View(model);
        }

        /// Get list candidate
        public ActionResult ListCandidates(string keyWord, int? idcity, int? idprofession, int page = 1, int pageSize = 10)
        {
            ////Lấy ra danh sách tất cả danh mục công việc
            //ViewBag.ListProfesstions = new SelectList(ProfessionManage.GetAllProfessions(), "ProfessionId", "PFName");

            ////Lấy danh sách tỉnh
            //ViewBag.ListCities = new SelectList(cityManage.GetAllCities(), "CityId", "CName");

            ////Lấy danh sách thể loại công việc
            //ViewBag.ListWorkTypes = new WorkTypeManage().GetAllWorkTypes();

            ////Lấy danh sách lương
            //ViewBag.ListSalaries = new SalaryMange().GetAllSalaries();

            ////Lấy danh sách trình độ

JobHunt/Controllers/CommonController.cs
using JobHunt.BU.Manage;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace JobHunt.Controllers
{
    public class CommonController : Controller
    {
        CandidateManage candidateManage = new CandidateManage();
        // GET: Common
        public ActionResult Index()
        {
            return View();
        }
        public ActionResult DownloadFile(string path, string name)
        {
            string fullpath = Path.Combine(Server.MapPath(path));
            string fileName = name;
            return File(fullpath, System.Net.Mime.MediaTypeNames.Application.Octet, fileName);
        }

        // Upload Image
        [HttpPost]
        public string UploadFileImage(HttpPostedFileBase file)
        {
            var pic = System.Web.HttpContext.Current.Request.Files["file"];
            // Validate
            // Xử lý upload lưu vào sv
            file.SaveAs(Server.MapPath("~/Assets/client/upload/images/" + file.FileName));
            // Trả về link ảnh
            return "/Assets/client/upload/images/" + file.FileName;
        }


        // Lấy danh sách tỉnh
        public JsonResult GetListCities()
        {
            var ListCities = new CityManage().GetAllCities();
            return Json(ListCities, JsonRequestBehavior.AllowGet);
        }

        //Lấy ra danh sách huyện theo idTinh
        public JsonResult GetListDistrictsByIdCity(int idCity)
        {
            var GetListDistricts = new DistrictManage().GetListDistrictsByIdCity(idCity);
            return Json(GetListDistricts, JsonRequestBehavior.AllowGet);
        }

        //Lấy ra danh sách xã theo idHuyen
        public JsonResult GetListWardsByIdDistrict(int idDistrict)
        {
            var GetListXa = new WardManage().GetListWardsByIdDistrict(idDistrict);
            return Json(GetListXa, JsonRequestBehavior.AllowGet);
        }


    }
}

JobHunt/Views/Candidate/AppliedJobs.cshtml
@model PagedList.IPagedList<JobHunt.BU.DTO.CandidatePostResumeDTO>
@using PagedList.Mvc;
@using JobHunt.BU.DTO
@{
    ViewBag.Title = "Công việc đã ứng tuyển";
    Layout = "~/Views/Shared/_LayoutLogged.cshtml";
}
<div class="col-lg-9 column">
    <div class="padding-left">
        <div class="manage-jobs-sec addscroll">
            <h3>Việc làm đã ứng tuyển</h3>
            <table>
                <thead>
                    <tr>
                        <td>Việc làm</td>
                        @*<td>Số lượng</td>*@
                        <td>Vị trí</td>
                        <td>Ngày hết hạn</td>
                    </tr>
                </thead>
                <tbody>
                    @if (Model.Count > 0)
                    {
                        foreach (var pr in Model)
                        {
                            <tr id="applied@(pr.CandidatePostResumeId)">
                                <td>
                                    <div class="table-list-title">
                                        @if (@pr.RecruitJobDTO.RecruitDTO != null)
                                        {
                                            <div class="c-logo"> <img src="@pr.RecruitJobDTO.RecruitDTO.RILogo" alt="" class="logo-company"> </div>
                                            if (pr.RecruitJobDTO.RecruitDTO != null)
                                            {
                                                <p>@pr.RecruitJobDTO.RecruitDTO.RIFullName</p>
                                            }
                                            <br>
                                            @*if (pr.RecruitJobDTO.RecruitDTO.CityDTO != null)
                                            {
                                                <span><i class="la la-map-marker"></i>@pr.RecruitJobDTO.RecruitDTO.CityDTO.CName</span>
                                            }*@
                                        }
                                        else
                                        {
                                            <div class="c-logo"> <img src="/Assets/client/images/resource/logo10.png" alt="" class="logo-company"> </div>
                                            <i>Bài đăng bởi admin</i><br>
                                        }


                                    </div>
                                </td>
                                @*<td>@pr.RecruitJobDTO.RJAmount</td>*@
                                <td>
                                    <div class="table-list-title">
                                        <h3><a href="@Url.Action("DetailJob", "RecruitJob", new { id = JobHunt.BU.Common.GenerateUrl.GenerateSlug(pr.RecruitJobDTO.RJTitle, pr.RecruitJobDTO.RecruitJobId) })" title="">@pr.RecruitJobDTO.RJTitle</a></h3>
                                    </div>
                                </td>
                                <td>
                                    @if (pr.RecruitJobDTO.RJExpirationDate > DateTime.Now)
                                    {
                                        <span>@pr.RecruitJobDTO.RJExpirationDate.Value.ToString("dd-MM-yyyy")</span>
                                    }
                                    else
                                    {
                                        <span style="color: red">Đã hết hạn</span>
                                    }
                                    <br>
                                </td>
                                <td>
                                    <ul class="action_job">
                                        <li><span>Delete</span><a title=""><i class="la la-trash-o deleteappliedjob" id="@pr.CandidatePostResumeId"></i></a></li>
                                    </ul>
                                </td>
                            </tr>
                        }
                    }

                </tbody>
            </table>
        </div>
    </div>
</div>

JobHunt/Views/Candidate/CandidateUploadCV.cshtml
@using JobHunt.BU.DTO
@using JobHunt.BU.Manage
@model JobHunt.BU.DTO.CandidateDTO
@{
    ViewBag.Title = "Hồ sơ đính kèm || " + Model.CddFullName;
    Layout = "~/Views/Shared/_LayoutLogged.cshtml";
}

<div class="col-lg-9 column upload-cv-right">
    <div class="padding-left">
        <div class="manage-jobs-sec">
            <h3>CV &amp; Cover Letter</h3>
            <div class="coverletter-sec">
                <form>
                    @if (!string.IsNullOrEmpty(Model.nameFileCV))
                    {
                        <div class="row">
                            <div class="col-lg-3">
                                <p>
                                    File đính kèm:
                                </p>
                            </div>
                            <div class="col-lg-9">
                                <p id="name-file-uploaded">
                                    @Html.ActionLink(Model.nameFileCV, "DownloadFile", "Common", new { path = Model.CddPathCV, name = Model.nameFileCV }, new { id = "linkpath" })
                                </p>
                            </div>
                        </div>
                    }
                    <div class="row paddingdiv">
                        <div class="col-lg-3">
                            <p>
                                Chọn Hồ sơ đính kèm *
                            </p>
                        </div>
                        <div class="col-lg-9">
                            <div class="main-upload">
                                <input type="file" name="name" value="" class="bt_input uploadfilecv" id="fileCV" />
                                <div class="text-upload">
                                    <span class="icon_upload_file"></span>
                                    <b>ĐÍNH KÈM HỒ SƠ</b>
                                </div>
                            </div>
                            <div class="textfile">
                                <span class="namefile"></span>
                            </div>
                            <div class="notetext">
                                (Dạng file .doc, .docx,.pdf dung lượng <=2MB)
                            </div>

                        </div>
                    </div>
                    <div class="row">
                        <div class="col-lg-12">
                            <span class="pf-title">Mô tả</span>
                            <div class="pf-field">
                                @Html.TextAreaFor(model => model.CddDescribeCV)
                            </div>
                        </div>
                        <div class="col-lg-12">
                            <button type="button" id="uploadcv">Cập nhật</button>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>

JobHunt/Views/Candidate/ChangePassword.cshtml
@using Microsoft.AspNet.Identity
@using JobHunt.BU.Manage
@model JobHunt.BU.DTO.CandidateDTO
@{
    ViewBag.Title = "Đổi mật khẩu || " + Model.CddFullName;
    Layout = "~/Views/Shared/_LayoutLogged.cshtml";
}

<div class="col-lg-9 column">
    <div class="padding-left">
        <div class="manage-jobs-sec">
            <h3>Đổi mật khẩu</h3>
            <div class="change-password">
                @using (Html.BeginForm("ChangePasswordCdd", "Candidate", FormMethod.Post, new { @class = "form-horizontal", role = "form", @id = "ChangePassword" }))
                {
                    <div class="row">
                        <div class="col-lg-6">
                            <span class="pf-title">Mật khẩu cũ</span>
                            <div class="pf-field">
                                <input type="password" name="OddPass" placeholder="Mật khẩu cũ" id="OddPass">
                                <i class="la la-key"></i>
                            </div>
                            <span class="pf-title">Mật khẩu mới</span>
                            <div class="pf-field">
                                <input type="password" name="NewPass" placeholder="Mật khẩu mới" id="NewPass">
                                <i class="la la-key"></i>
                            </div>
                            <span class="pf-title">Xác nhận mật khẩu</span>
                            <div class="pf-field">
                                <input type="password" name="ConfirmPass" placeholder="Nhập lại mật khẩu" id="ConfirmPass">
                                <i class="la la-key"></i>
                            </div>
                            <button type="submit"> Đổi mật khẩu</button>
                        </div>
                        <div class="col-lg-6">
                            <i class="la la-key big-icon"></i>
                        </div>
                    </div>
                }
            </div>
        </div>
    </div>
</div>

JobHunt/Views/Candidate/ListCandidates.cshtml
@model PagedList.IPagedList<JobHunt.BU.DTO.CandidateDTO>
@using PagedList.Mvc;
@using JobHunt.BU.DTO
@{
    ViewBag.Title = "Danh sách người tìm việc";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<section class="overlape">
    <div class="block no-padding">
        <div data-velocity="-.1" style="background: url(/Assets/client/images/find-candidate.png) 50% -62.5px repeat scroll transparent;" class="parallax scrolly-invisible no-parallax"></div><!-- PARALLAX BACKGROUND IMAGE -->
        <div class="container fluid">
            <div class="row">
                <div class="col-lg-12">
                    <div class="inner-header">
                        <h3>Xin chào nhà tuyển dụng</h3>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<section>
    <div class="block remove-bottom">
        <div class="container">
            <div class="row no-gape">
                <aside class="col-lg-3 column">
                    <div class="widget">
                        <div class="search_widget_job">
                            <div class="field_w_search">
                                <input type="text" placeholder="Từ khóa tìm kiếm">
                                <i class="la la-search"></i>
                            </div><!-- Search Widget -->
                            <div class="field_w_search">
                                <input type="text" placeholder="Tất cả địa điểm">
                                <i class="la la-map-marker"></i>
                            </div><!-- Search Widget -->
                        </div>
                    </div>
                </aside>
                <div class="col-lg-9 column">
                    <div class="emply-resume-sec">
                        @if (Model.Count > 0)
                        {
                            foreach (var cdd in Model)
                            {
                                <div class="emply-resume-list square">
                                    <div class="emply-resume-thumb">
                                        <img src="@cdd.CPAvatar" alt="">
                                    </div>
                                    <div class="emply-resume-info">
                                        <h3><a href="@Url.Action("DetailCandidate", "Candidate", new { id = JobHunt.BU.Common.GenerateUrl.GenerateSlug(cdd.CddFullName, cdd.CandidateId) })" title="">@cdd.CddFullName</a></h3>

                                        @if (@cdd.ProfessionDTO != null)
                                        {
                                            <span>@cdd.ProfessionDTO.PFName</span>
                                        }
                                        @if (@cdd.CityDTO != null)
                                        {
                                            <p><i class="la la-map-marker"></i>@cdd.CityDTO.CName</p>
                                        }
                                    </div>
                                    <div class="action-resume">
                                        <div class="action-center">
                                            <span>Chọn <i class="la la-angle-down"></i></span>
                                            <ul style="display: none;">
                                                @if (cdd.CddPathCV != null)
                                                {
                                                    <li class="open-letter"><a href="@Url.Action("DownloadCoverLetter", "Candidate", new { id = cdd.CandidateId })" title="">Tải CV đính kèm</a></li>
                                                }
                                                @* <li><a href="@Url.Action("PrintPartialViewToPdf", "Candidate", new { id = JobHunt.BU.Common.GenerateUrl.GenerateSlug(cdd.CddFullName, cdd.CandidateId) })" title="">In CV</a></li>*@
                                                <li><a href="@Url.Action("DetailCandidate", "Candidate", new { id = JobHunt.BU.Common.GenerateUrl.GenerateSlug(cdd.CddFullName, cdd.CandidateId) })" title="" target="_blank">Xem trang cá nhân</a></li>
                                            </ul>
                                        </div>
                                    </div>
                                </div><!-- Emply List -->
                            }
                        }

                        <div class="pagination">
                            @Html.PagedListPager(Model, page => Url.Action("ListCandidates", new { page, keyWord = ViewBag.keyWord, chooseDate = ViewBag.chooseDate, chooseWorkType = ViewBag.chooseWorkType }))
                        </div><!-- Pagination -->
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>

JobHunt/Views/Candidate/SaveJobs.cshtml
@model PagedList.IPagedList<JobHunt.BU.DTO.RecruitJobDTO>
@using PagedList.Mvc;
@using JobHunt.BU.DTO
@{
    ViewBag.Title = "Những công việc đã lưu";
    Layout = "~/Views/Shared/_LayoutLogged.cshtml";
}
@Html.Hidden("pageCheck", "savejob")
<div class="col-lg-9 column">
    <div class="padding-left">
        <div class="manage-jobs-sec">
            <div class="border-title"><h3>Công việc đã lưu</h3></div>
            @if (Model.Count > 0)
            {
                foreach (var rj in Model)
                {
                    if (rj.RecruitDTO != null)
                    {
                        <div class="job-listing wtabs" id="savejob@(rj.RecruitJobId)">
                            @*<div class="job-title-sec">
                                    <div class="c-logo"> <img src="@rj.RecruitDTO.RILogo" alt="" class="logo-company"> </div>
                                    <h3 class=""><a href="@Url.Action("DetailJob", "RecruitJob", new { id = JobHunt.BU.Common.GenerateUrl.GenerateSlug(rj.RJTitle, rj.RecruitJobId) })" title="@rj.RJTitle" class="titlejob">@rj.RJTitle</a></h3>
                                    <span>@rj.RecruitDTO.RIFullName</span>
                                    <div class="job-lctn">
                                        @if (rj.RJExpirationDate > DateTime.Now)
                                        {
                                            <p>Ngày hết hạn: @rj.RJExpirationDate</p>
                                        }
                                        else
                                        {
                                            <p style="color: red">Đã hết hạn</p>
                                        }
                                    </div>
                                </div>*@
                            <div class="job-title-sec">
                                <div class="c-logo"> <a href="@Url.Action("DetailRecruit", "Recruit", new { id = JobHunt.BU.Common.GenerateUrl.GenerateSlug(rj.RecruitDTO.RICompanyName, rj.RecruitDTO.RecruitId) })"><img src="@rj.RecruitDTO.RILogo" alt="" class="logo-company"></a> </div>
                                <h3 class=""><a href="@Url.Action("DetailJob", "RecruitJob", new { id = JobHunt.BU.Common.GenerateUrl.GenerateSlug(rj.RJTitle, rj.RecruitJobId) })" title="@rj.RJTitle" class="titlejob">@rj.RJTitle</a></h3>
                                @*<span><a href="@Url.Action("DetailRecruit", "Recruit", new { id = JobHunt.BU.Common.GenerateUrl.GenerateSlug(ljh.RecruitDTO.RICompanyName, ljh.RecruitDTO.RecruitId) })">@ljh.RecruitDTO.RIFullName</a></span>*@
                                <span>Số lượng: @rj.RJAmount</span>
                                <span><i class="la la-money"></i> Lương: @rj.SalaryDTO.SShow</span>
                                @*<div class="job-lctn"><i class="la la-map-marker"></i>@ljh.RJ_WorkPlace</div>*@
                            </div>
                            <div class="job-list-del">
                                <a title="" class="fav-job active" id="rc@(rj.RecruitJobId)"><i class="la la-trash-o"></i></a>
                            </div>
                        </div><!-- Job -->
                    }
                    else
                    {
                        <div class="job-listing wtabs" id="savejob@(rj.RecruitJobId)">
                            <div class="job-title-sec">
                                <div class="c-logo"> <img src="/Assets/client/images/resource/logo10.png" alt="" class="logo-company" style="height: 50px"> </div>
                                <h3 class=""><a href="@Url.Action("DetailJob", "RecruitJob", new { id = JobHunt.BU.Common.GenerateUrl.GenerateSlug(rj.RJTitle, rj.RecruitJobId) })" title="" class="titlejob">@rj.RJTitle</a></h3>
                                <span>Bài đăng bởi admin</span>
                                <span>Số lượng: @rj.RJAmount</span>
                                <span><i class="la la-money"></i> Lương: @rj.SalaryDTO.SShow</span>
                            </div>
                            <div class="job-list-del">
                                <a title="" class="fav-job active" id="rc@(rj.RecruitJobId)"><i class="la la-trash-o"></i></a>
                            </div>
                        </div>
                    }
                }
            }

            <div class="pagination padding-paging">
                @Html.PagedListPager(Model, page => Url.Action("SaveJobs", new { page }))<!-- Pagination -->
            </div>
        </div>
    </div>
</div>

JobHunt/Views/Candidate/UpdateAccount.cshtml
@model JobHunt.BU.DTO.CandidateDTO
@{
    ViewBag.Title = "Chỉnh sửa tài khoản || " + Model.CddFullName;
    Layout = "~/Views/Shared/_LayoutLogged.cshtml";
}

<h2>UpdateAccount</h2>